---
title: Обзор
permalink: usage/build_draft/overview.html
---

Чтобы доставить приложение в kubernetes как правило нужно собрать один или несколько образов приложения.

В случае если в вашем проекте не требуется сборка своих образов, этот раздел можно пропустить.

От пользователя требуется предоставить сборочные инструкции в виде Dockerfile или альтернативного сборочного синтаксиса stapel.

Одна особенность сборки через werf заключается в том, что процесс сборки образов и их публикация в container registry — это один неразрывный шаг. Главная задача сборочного процесса в werf: обеспечить, чтобы для текущего коммита в container registry появились собранные образы и не пересобирать те образы, которые уже опубликованы.

При сборке werf из коробки без специальной конфигурации берёт на себя всю работу по сборке, предоставляя следующие фичи:

* оркестрация одновременной/параллельной сборки всех образов приложения;
* общий кеш промежуточных слоёв и образов в Container Registry, доступный с любых раннеров;
* оптимальная схема тегирования, основанная на содержимом образа, предотвращающая лишние пересборки и downtime приложения при дальнейшем выкате;
* система обеспечения воспроизводимости и неизменности образов для коммита: однажды собранные образы для коммита более не будут пересобраны (в рамках политик очистки — см. очистка).

Предоставляется простой интерфейс для встараивания в CI/CD pipeline или для локального использования: команда `werf build [--repo REPO]`. Также сборку автоматически осуществляют команды `werf converge`, `werf kube-run` и `werf render`.

После прочтения данного раздела пользователь узнает как описать инструкции сборки образов, как работает механизм сборки, какие есть варианты конфигурации сборочного механизма и варианты организации хранилища под нужды проекта.
